﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls.Menus;
using System.Windows.Markup;

namespace XDT_WPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        DataTemplate dt;

        public MainWindow()
        {
            InitializeComponent();

            // <ig:XamDataTree.ExpandedIconTemplate>
            //    <DataTemplate>
            //        <Image Source="/images/Sunset05.JPG"/>
            //    </DataTemplate>
            //</ig:XamDataTree.ExpandedIconTemplate>

            dt = new DataTemplate();
            BitmapImage bi = new BitmapImage(new Uri(@"../../images/Sunset05.JPG", UriKind.Relative));
            FrameworkElementFactory imageElementFactory = new FrameworkElementFactory(typeof(Image));
            imageElementFactory.SetValue(Image.SourceProperty, bi);
            dt.VisualTree = imageElementFactory;
            dt.Seal();
            this.xamDataTree1.ExpandedIconTemplate = dt;


        }


        private void Window_Loaded(object sender, RoutedEventArgs e)
        {



            ObservableCollection<ReportSet> rSetCollection = new ObservableCollection<ReportSet>();

            for (int i = 1; i < 21; i++)
            {
                ReportSet rSet = new ReportSet();
                rSet.Name = "ReportSet " + i.ToString();
                rSet.Reports = GetReports(i.ToString(), 5);
                rSetCollection.Add(rSet);
            }
            this.xamDataTree1.ItemsSource = rSetCollection;


        }

        private ObservableCollection<Report> GetReports(string parentId, int count)
        {
            if (count < 1)
                return null;

            ObservableCollection<Report> rList = new ObservableCollection<Report>();

            for (int i = 0; i < count; i++)
            {
                Report r = new Report();
                r.ReportName = "Report " + parentId + i.ToString();
                rList.Add(r);
            }

            return rList;
        }
    }
}
